Bug 54442 - broken pipe when starting with rsh
broken pipe when starting with rsh
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: initscripts (Show other bugs)
6.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-10-08 11:12 EDT by Gerd Niemetz
Modified: 2014-03-16 22:23 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-15 15:56:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gerd Niemetz 2001-10-08 11:12:20 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows NT 5.0)

Description of problem:
when trying to start the snmpd daemon with a rsh it hangs. i can only stop 
it by pressing ctrl + c twice. then i receive an error message "broke pipe"

Version-Release number of selected component (if applicable):
ucd-snmp-4.1.1-3

How reproducible:
Always

Steps to Reproduce:
1. insert "localhost" in /root/.rhosts
2. rsh localhost "/etc/rc.d/init.d/snmpd restart"
3.
	

Actual Results:  see description

Expected Results:  rsh should exit normally

Additional info:

this problem occurs only with rsh
Comment 1 Phil Knirsch 2002-01-29 09:40:28 EST
Just verified it. It is actually not a ucd-snmp only related problem but seems
to happen for any initscript you start.

A 'workaround' for now is to use "&" at the end of the command to put it in the
background. That will work, but it really should be fixed in the initscripts
somewhere (i guess somewhere in the functions, but thats only a guess).

Reassigning to initscripts.

Read ya, Phil
Comment 2 Bill Nottingham 2005-02-15 15:56:06 EST
Closing out bugs on older, no longer supported, releases. Please reopen if this
persists on current releases.

Note You need to log in before you can comment on or make changes to this bug.